@import "pref";

nevis-account-public-info {
  @include decorateContent();
  padding-bottom: $form-two-thirds-indent;

  h2 {
    font-weight: $font-weight-medium;
  }
}

.nevis-account-public-info {
  position: relative;

  mat-divider {
    margin-top: $form-half-indent;
    margin-bottom: $form-half-indent;
  }
}

.nevis-account-public-info__btn-refresh {

  &.mat-button {
    margin-bottom: $form-two-thirds-indent;
    padding: 7px 12px;
    font-weight: $font-weight-normal;
  }
}

.nevis-account-public-info__table {
  width: 100%;
  font-size: $font-size-x1;
  line-height: $font-size-x4;

  td {
    vertical-align: top;
    padding-bottom: 5px;
  }

  .label {
    width: 35%;
    color: $color-pearl-dark-grey;
  }
}

//
// ADAPTIVE
//
@include media-tablet {

  .nevis-account-public-info__table {
    .label {
      width: 17%;
    }
  }
}

@include media-desktop {

  .nevis-account-public-info__table {
    .label {
      width: 11%;
    }
  }
}
